发布时间 :2005-11-21 06:03:00
修订时间 :2008-09-05 16:55:08

[原文]SQL injection vulnerability in debug/query_results.jsp in Idetix Software Systems Revize CMS allows remote attackers to execute arbitrary SQL commands via the query parameter.

[CNNVD]Revize CMS query_results.jsp远程SQL注入漏洞(CNNVD-200511-302)

        Revize CMS是一种基于JSP实现的Web内容管理系统。
        Revize CMS对用户提交给的参数缺少正确充分的过滤,远程攻击者可以利用此漏洞非授权操作数据库。
        Revize CMS的query_results.jsp脚本对用户提交query参数数据缺少充分过滤,远程攻击者可以通过在输入数据中插入特定的SQL命令来非授权获取对数据库的访问。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)


- OVAL (用于检测的技术细节)


- 官方数据库链接
(官方数据源) MITRE
(官方数据源) NVD
(官方数据源) CNNVD

- 其它链接及资源
(UNKNOWN)  BID  15481

- 漏洞信息

Revize CMS query_results.jsp远程SQL注入漏洞
高危 SQL注入
2005-11-21 00:00:00 2005-11-21 00:00:00
        Revize CMS是一种基于JSP实现的Web内容管理系统。
        Revize CMS对用户提交给的参数缺少正确充分的过滤,远程攻击者可以利用此漏洞非授权操作数据库。
        Revize CMS的query_results.jsp脚本对用户提交query参数数据缺少充分过滤,远程攻击者可以通过在输入数据中插入特定的SQL命令来非授权获取对数据库的访问。

- 公告与补丁


- 漏洞信息

Revize CMS query_input.jsp webspace Parameter SQL Injection
Remote / Network Access Information Disclosure, Input Manipulation
Loss of Confidentiality, Loss of Integrity

- 漏洞描述

Revize CMS contains a flaw that may allow an attacker to carry out an SQL injection attack. The issue is due to the query_input.jsp script not properly sanitizing user-supplied input to the 'webspace' variable. This may allow an attacker to inject or manipulate SQL queries in the back-end database.

- 时间线

2005-11-16 2005-11-02
Unknow Unknow

- 解决方案

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

- 相关参考

- 漏洞作者

- 漏洞信息

Revize CMS Query_results.JSP SQL Injection Vulnerability
Input Validation Error 15481
Yes No
2005-11-17 12:00:00 2009-07-12 05:56:00
Lostmon is credited with the discovery of this vulnerability.

- 受影响的程序版本

Revize CMS Revize CMS

- 漏洞讨论

Revize CMS is prone to an SQL injection vulnerability. This issue is due to a failure in the application to properly sanitize user-supplied input before using it in an SQL query.

Successful exploitation could result in a compromise of the application, disclosure or modification of data, or may permit an attacker to exploit vulnerabilities in the underlying database implementation.

Other scripts may also be vulnerable.

- 漏洞利用

No exploit is required.

Example URI have been provided:*%20from%20pbpublic.rSubjects*%20from%20pbpublic.rSubjects

- 解决方案

Currently we are not aware of any vendor-supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: <>.

- 相关参考